%define	name	idled
%define	version	1.16
%define	release	2
%define _bindir  /usr/local/bin
%define _datadir /usr/local/lib
%define _libdir  /usr/local/lib
%define _mandir  /usr/local/man


Summary:	Idle Sesson Logout Daemon
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Terminals
URL:		http://www.darkwing.com/idled/
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}.patch
BuildRequires:	glibc
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Idled (pronounced idle-dee) is a program that will run in the background on a machine and monitor the current tty sessions. It can be configured to log out users that have been idle for too long or logged on for too long. It can also prevent users from being logged in too many times, and refuse users from being logged in at all. Check out the README for more information.

It is based on the Purdue Untamo package.

%prep
%setup -q -n %name-%version
%patch0 -p0
rm scan.c parse.c

%build
make DEST=%{_bindir} MDEST=%{_mandir} CFDEST=%{_datadir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_mandir}/man5
mkdir -p %{buildroot}/%{_mandir}/man8
%makeinstall DEST=%{buildroot}/%{_bindir} MDEST=%{buildroot}/%{_mandir} CFDEST=%{buildroot}/%{_datadir}
mkdir -p %{buildroot}/etc/rc.d/init.d
cp init.d_idled %{buildroot}/etc/rc.d/init.d/idled
chmod 755 %{buildroot}/etc/rc.d/init.d/idled

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/idled
%{_datadir}/idled.cf.template
%{_mandir}/man5/idled*
%{_mandir}/man8/idled*
/etc/rc.d/init.d/idled

%changelog

* Tue May 11 2004 Marc Mengel <mengel@fnal.gov> 1.6-1
	Initial specfile & patch file from download
